=== debian/changelog ===
pd-moonlib (0.2-2) unstable; urgency=low

  * Team upload

  [ Hans-Christoph Steiner ]
  * documented the LGPL-2.1 files
  * added DM-Upload-Allowed: yes since I'm now a DM
  * updated Build-Depends to use puredata-dev when available
  * bumped standards version to 3.9.2
  * added Vcs-* stanzas

  [ Felipe Sateler ]
  * Drop quilt since we use the 3.0 source format
  * Depend on real package puredata as default alternative

 -- Felipe Sateler <fsateler@debian.org>  Wed, 22 Jun 2011 19:07:59 -0400

pd-moonlib (0.2-1) unstable; urgency=low

  * Initial release (Closes: #591737)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 10 Nov 2010 15:36:13 -0500
