=== debian/watch ===
version=3
http://sf.net/pure-data/moonlib-(.*)\.tar\.gz
