=== debian/changelog ===
pd-moonlib (0.3.4~repack-2) unstable; urgency=medium

  * Use system-provided Makefile.pd-lib-builder
  * Stripped externals
  * Fixed typos in package description
  * Adjusted path in lintian-override

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Jan 2017 20:12:30 +0100

pd-moonlib (0.3.4~repack-1) unstable; urgency=medium

  * New upstream version 0.3.4~repack

  [ Hans-Christoph Steiner ]
  * Updated to copyright-format/1.0
  * Updated Depends: pd to use puredata 0.43 style
  * Removed 'DM-Upload-Allowed: yes', its deprecated

  [ IOhannes m zmölnig ]
  * Added myself to uploaders
  * Updated Vcs-* stanzas to https://
  * Demoted pd-libdir to Recommends
  * Filtered-out '.git*' and '*.dll' when importing
  * Removed obsolete patches
  * Updated homepage field (github)
  * Updated d/watch
  * Updated d/copyright
  * Dropped arch-specific optimisation and pass hardening flags
  * Bumped compat to 9 (for hardening flags)
  * Bumped standards-version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 28 Oct 2016 23:42:39 +0200
