=== debian/control ===
--- 
+++ 
@@ -2,21 +2,24 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Hans-Christoph Steiner <hans@eds.org>
-Build-Depends: debhelper (>= 7.0.50~),
-               puredata-dev | puredata (<< 0.43)
-Standards-Version: 3.9.2
-Homepage: http://puredata.info
-Vcs-Git: git://git.debian.org/pkg-multimedia/pd-moonlib.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/pd-moonlib.git
+Uploaders: Hans-Christoph Steiner <hans@eds.org>,
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends:
+ debhelper,
+ puredata-dev | puredata (<< 0.43),
+ pd-lib-builder,
+Standards-Version: 3.9.8
+Homepage: https://github.com/MetaluNet/moonlib/
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-moonlib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-moonlib.git
 
 Package: pd-moonlib
 Architecture: any
 Depends: ${shlibs:Depends},
-         puredata | pd,
+         ${misc:Depends},
+         puredata-core | pd,
+Recommends:
          pd-libdir,
-         ${misc:Depends}
 Description: library of Pd objects related to GUI control
  Moonlib includes three sub-sections: nilib, which is a kind of wrapper
  between Pd and Gtk, sublib, which is a collection of gui control objects, and
@@ -39,7 +42,7 @@
               N pairs (slider1-snd/slider1-rcv) ... (sliderN-snd/sliderN-rcv),
               creates only one pair of buses named (slider-snd/slider-rcv),
               in which datas are prepended by the number of the "sub-bus"
-  * joystik: an improvment of Joseph A. Sarlo's joystick
-  * image: an improvment  of Guenter Geiger's one. Same name, but it's
+  * joystik: an improvement of Joseph A. Sarlo's joystick
+  * image: an improvement  of Guenter Geiger's one. Same name, but it's
            compatible. Here you can share images through different objects, 
            preload a list of images, and animate this list.
