=== debian/changelog ===
pd-moonlib (0.3.6-1) unstable; urgency=medium

  * New upstream version 0.3.6
    (Closes: #792724)

  * Dropped unused patches
  * Updated d/copyright
  * Bumped standards to 4.0.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 16 Aug 2017 15:39:29 +0200
