=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper,
  puredata-dev | puredata (<< 0.43),
  pd-lib-builder,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/MetaluNet/moonlib/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-moonlib.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-moonlib.git
