=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 LIBRARY_NAME = moonlib
 PACKAGE = pd-$(LIBRARY_NAME)
 pkglibdir = /usr/lib/pd/extra
+
+export PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/Makefile.pdlibbuilder
 
 %:
 	dh $@ --buildsystem=makefile
