## pd-moonlib 0.4

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,9 @@
 endif
 
 objects = char2f comma dispatch dripchar f2char f2s gamme image mknob panvol~ \
-s2f sarray sfread2~ slist ssaw~ tabdump2 tabenv tabreadl tabsort2 tabsort ndmetro lcdbitmap
+s2f sarray sfread2~ slist ssaw~ tabdump2 tabenv tabreadl tabsort2 tabsort ndmetro
+
+# lcdbitmap
 
 ifneq (MINGW,$(findstring MINGW,$(uname)))
 objects += absolutepath basedir dinlet~ popen readsfv~ relativepath wac
@@ -37,11 +39,26 @@
 
 cflags = -Wno-unused -Wno-unused-parameter
 
-PDLIBBUILDER_DIR=pd-lib-builder/
-include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))
+PDLIBBUILDERDIR ?= .
+include $(PDLIBBUILDERDIR)/Makefile.pdlibbuilder
+
+VERSION = $(shell git describe --abbrev=4)
 
 update-pdlibbuilder:
-	git submodule update --init pd-lib-builder
-	cp pd-lib-builder/Makefile.pdlibbuilder .
-	
+	curl https://raw.githubusercontent.com/pure-data/pd-lib-builder/master/Makefile.pdlibbuilder > ./Makefile.pdlibbuilder
 
+deken-source:
+	@rm -rf build_src
+	@mkdir -p build_src/moonlib
+	@cp $(class.sources) _soundfile.c \
+		$(datafiles) Makefile.pdlibbuilder Makefile \
+			build_src/moonlib
+	@cp -r $(datadirs) build_src/moonlib
+	cd build_src/ ; deken upload -v $(VERSION) moonlib
+
+deken-binary:
+	@rm -rf build
+	@make install objectsdir=./build
+	cd build/ ; deken upload -v $(VERSION) moonlib
+
+
