=== debian/changelog ===
pd-moonlib (0.4-1) unstable; urgency=medium

  * New upstream version 0.4
  * Declared that "root" is unneeded for building
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Sep 2018 21:18:47 +0200

pd-moonlib (0.3.6-3) unstable; urgency=medium

  * Switched to system-provided Makefile.pdlibbuilder (Closes: #889645)
    * Pass build-flags to all 'make' invocations

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2018 14:42:53 +0100

pd-moonlib (0.3.6-2) unstable; urgency=medium

  * Simplified & unified d/rules
    * Bumped dh compat to 11
    * Enabled hardening
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Switched URLs to https://
  * Updated d/copyright(_hints)
  * Removed trailing whitespace in debian/*
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:23:45 +0100
