=== debian/control ===
--- 
+++ 
@@ -3,13 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Hans-Christoph Steiner <hans@eds.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
- puredata-dev | puredata (<< 0.43),
- pd-lib-builder,
-Standards-Version: 4.2.1
+ debhelper-compat (= 13),
+ dh-sequence-pd-lib-builder,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/MetaluNet/moonlib/
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-moonlib.git
@@ -18,11 +16,13 @@
 Package: pd-moonlib
 Architecture: any
 Depends:
+ ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata-core | pd,
 Recommends:
- pd-libdir,
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: library of Pd objects related to GUI control
  Moonlib includes three sub-sections: nilib, which is a kind of wrapper
  between Pd and Gtk, sublib, which is a collection of gui control objects, and
@@ -31,7 +31,7 @@
   * tabenv: like env~, an enveloppe follower, but computing on a table,
             so possibly much speeder than real-time env~'s computation
   * tabsort, tabsort2: returns the indices of the sorted table,
-                       tabsort2 is bidimentionnal
+                       tabsort2 is bidimensional
   * gamme: one octave of a piano keyboard used to filter/choose
            notes in a selected scale
   * absolutepath/relativepath: to use files (sounds, texts, presets,
