=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=auto \
  https://github.com/MetaluNet/moonlib/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
