## pd-moonlib 0.7

=== Makefile ===
--- 
+++ 
@@ -39,8 +39,8 @@
 
 cflags = -Wno-unused -Wno-unused-parameter
 
-PDLIBBUILDERDIR ?= .
-include $(PDLIBBUILDERDIR)/Makefile.pdlibbuilder
+PDLIBBUILDER_DIR ?= .
+include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder
 
 VERSION = $(shell git describe --abbrev=4)
 
@@ -59,6 +59,6 @@
 deken-binary:
 	@rm -rf build
 	@make install objectsdir=./build
-	cd build/ ; deken upload -v $(VERSION) moonlib
+	cd build/ ; deken upload --no-source-error -v $(VERSION) moonlib
