=== debian/changelog ===
pd-moonlib (0.7-3) unstable; urgency=medium

  * Add patch to fix building with Pd64 (Closes: #1073349)
  * Add 'Provides' stanza
  * Switch to dh-sequence-puredata
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Jun 2024 17:52:53 +0200

pd-moonlib (0.7-2) unstable; urgency=medium

  * Build for both single and double-precision Pd
  * Add lintian-overrides for false positives about underlinking

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 15:24:35 +0200

pd-moonlib (0.7-1) unstable; urgency=medium

  * New upstream version 0.7
    + Drop patches applied upstream
  * Add versioned depends on Pd>=0.53
  * Update d/copyright
    + Bump copyright dates
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 17:51:39 +0200
