=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-sequence-pd-lib-builder,
-Standards-Version: 4.6.1
+ dh-sequence-puredata,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/MetaluNet/moonlib/
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-moonlib.git
@@ -16,6 +16,7 @@
 Package: pd-moonlib
 Architecture: any
 Depends:
+ puredata-core (>= 0.53~),
  ${misc:Depends},
  ${puredata:Depends},
  ${shlibs:Depends},
@@ -23,6 +24,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: library of Pd objects related to GUI control
  Moonlib includes three sub-sections: nilib, which is a kind of wrapper
  between Pd and Gtk, sublib, which is a collection of gui control objects, and
